<div class="row">
  <div class="col-sm">
    <div class="card">
      <div class="card-header">
        <div class="card-title">
          <span class="font-weight-bold">Ticket Detail</span>
        </div>
      </div>
      <div class="card-body">
        <div class="row">
          <div class="col-sm col-md-3">
            <div class="profile-border">
              <div class="row">
                <div class="col-sm text-center">
                  <img style="max-height: 200px" [src]="ticket.companyImage" alt="Company Image"/>
                </div>
              </div>
              <div class="row">
                <div class="col-sm text-center">
                  <div class="font-weight-bold">{{ticket.companyName}}</div>
                  <div>{{ticket.companyEmail}}</div>
                  <div>{{ticket.companyPhoneNumber}}</div>
                  <br>
                  <button class="btn btn-info">View Profile</button>
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-sm text-center">
                <button class="btn btn-outline-default">Mark As Processing</button>
                <button class="btn btn-outline-success">Mark As Completed</button>
              </div>
            </div>
          </div>
          <div class="col-sm">
            <!--Ticket Detail Start-->
            <div class="row">
              <div class="col-sm">
                <div class="profile-border">
                  <div class="row">
                    <div class="col-sm">
                      <div class="row">
                        <div class="col-sm-auto font-weight-bold">Status:</div>
                        <div class="col-sm col-md-auto"><span [innerHTML]="ticket.status | ticketStatus"></span></div>
                      </div>
                    </div>
                    <div class="col-sm">
                      <div class="row">
                        <div class="col-sm-auto font-weight-bold">Subject:</div>
                        <div class="col-sm col-md-auto">{{ticket.subject}}</div>
                      </div>
                    </div>
                  </div>
                  <div class="row">
                    <div class="col-sm">
                      <div class="row">
                        <div class="col-sm-auto font-weight-bold">Ticket No:</div>
                        <div class="col-sm col-md-auto">{{ticket.ticketNo}}</div>
                      </div>
                    </div>
                    <div class="col-sm">
                      <div class="row">
                        <div class="col-sm-auto font-weight-bold">Date:</div>
                        <div class="col-sm col-md-auto">{{ticket.createdDate}}</div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <!--Ticket Detail End-->
            <!--Ticket Response Start-->
            <div class="row margin-top-10">
              <div class="col-sm">
                <div class="profile-border" style="max-height: 300px; overflow-y: auto">
                  <div class="font-weight-bold">Messages</div>
                  <div class="row margin-top-10" *ngFor="let m of ticket.messages">
                    <div class="col-sm">
                      <div class="" style="text-decoration: underline">{{m.senderName}}</div>
                      <div style="font-size: small; color: gray">Sent At {{m.createdDate}}</div>
                      <p class="">{{m.text}}</p>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <!--Ticket Response End-->
            <!--Ticket Send Message Start-->
            <div class="row margin-top-10">
              <div class="col-sm">
                <div class="profile-border">
                  <div class="font-weight-bold">Reply</div>
                  <div>
                    <div class="form-group">
                      <textarea rows="12" class="form-control" placeholder="Enter a Message"></textarea>
                    </div>
                    <div class="row">
                      <div class="col-sm">
                        <button class="btn btn-primary"><i class="fas fa fa-paper-plane"></i> Send Reply</button>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <!--Ticket Send Message End-->
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
